import java.sql.*;

public class Prepared1 {
    public static void main(String[] args) {
	if (args.length != 1) {
	    System.err.println("java Prepared1 <persid>");
	    System.exit(1);
	}

        try {
	    // MySQL-Treiber ber Java-Reflection laden
	    Class.forName("com.mysql.jdbc.Driver").newInstance();
	}
	catch (Exception e) {
	    // evtl. Exception transformieren
	    throw new RuntimeException("MySQL driver not found: "+e);
	}

	Connection con = null;

	try {
	    String url = "jdbc:mysql://theseus:14317/mydb";
	    // Verbindung herstellen
	    con = DriverManager.getConnection(url, "sep", "test");

	    PreparedStatement stmt = null;
	    
	    try {
		// SQL-Anweisung vorbereiten
	        String sql = "SELECT * FROM Angestellte WHERE persid = ?";
		
	        // Objekt zum Ausfhren von SQL-Anweisungen erzeugen
	        stmt = con.prepareStatement(sql);

		// VON HIER ...

		// Fragezeichen mit Wert belegen
		stmt.setString(1, args[0]);
		
		// SQL-Anweisung ausfhren => liefert ResultSet
		ResultSet rs = stmt.executeQuery();

		// ResultSet iterieren
		while (rs.next()) {
		     int persid = rs.getInt("persid");
	             String name = rs.getString("name");
	             String abtid = rs.getString("abtid");

                     System.out.println("| "+persid+" | "+name+" | "+abtid+" |");
		}

		// ... BIS HIER oft in einer Schleife
	    }
	    finally {
	        // Statement wieder sauber schlieen
	        if (stmt != null) {
	            try { stmt.close(); }
		    catch (SQLException e) { }
		}
	    }
	}
	catch (SQLException e) {
	    System.err.println("Exception: "+e);
	}
	finally {
	    // in jedem Fall die Verbindung sauber beenden
	    if (con != null) {
	        try { con.close(); }
		catch (SQLException e) { }
	    }
	}
    }
}
